package me.daryllkukas.apps.android.coolneonemote;

import java.util.ArrayList;

import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ToggleButton;

public class ButtonAdapter extends BaseAdapter {
    private ArrayList<ToggleButton> mToggleButtons = null;

    public ButtonAdapter(ArrayList<ToggleButton> toggleButtons) {
        mToggleButtons = toggleButtons;
    }

    public int getCount() {
        return mToggleButtons.size();
    }

    public Object getItem(int position) {
        return (Object) mToggleButtons.get(position);
    }

    public long getItemId(int position) {
        return position;
    }

    // create a new ImageView for each item referenced by the Adapter
    public View getView(int position, View convertView, ViewGroup parent) {
        ToggleButton toggleButton;
        if (convertView == null) {
        	toggleButton = mToggleButtons.get(position);
        } else {
        	toggleButton = (ToggleButton) convertView;
        }
        return toggleButton;
    }
}